| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Control.Arrow.IOListArrow |
Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Description
Implementation of pure list arrows with IO
Synopsis
newtype IOLA a b = IOLA {
runIOLA :: a -> IO [b]
}
Documentation
newtype IOLA a b | Source
list arrow combined with IO monad
Constructors
IOLA |
runIOLA :: a -> IO [b] |
Instances
Arrow IOLA
ArrowZero IOLA
ArrowPlus IOLA
ArrowChoice IOLA
ArrowApply IOLA
Category IOLA
ArrowNF IOLA
ArrowList IOLA
ArrowIf IOLA
ArrowTree IOLA
ArrowIOIf IOLA
ArrowIO IOLA
ArrowDTD IOLA
ArrowXml IOLA
Produced by Haddock version 2.4.2